Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# MediaPlayer Class Reference

This class is specific to the mediaplayer apps. More...

`#include <mediaplayer.h>`

List of all member functions.

## Public Members

- MediaPlayer ( QWidget * parent, const char * name = 0, WFlags fl = 0 )
- ~MediaPlayer ()
- virtual ControlWidgetBase * createAudioUI ()
- virtual ControlWidgetBase * createVideoUI ()
- virtual LoopControlBase * createLoopControl ()
- virtual MediaSelectorBase * createMediaSelector ()
- virtual AudioDevice * createAudioDevice ()
- void playDocLnk ( const DocLnk * lnk )
- void playURL ( const QString & url, const QString & mimetype )

## Public Slots

- ControlWidgetBase * audioUI ()
- ControlWidgetBase * videoUI ()
- AudioDevice * audioDevice ()
- void setView ( View )
- void createMediaPlayer ()
- virtual void setDocument ( const QString & fileref )
- void appMessage ( const QCString & msg, const QByteArray & data )
- void setPlaying ( bool )
- void pauseCheck ( bool )
- void startDecreasingVolume ()
- void startIncreasingVolume ()
- void startScanningBackward ()
- void startScanningForward ()
- void stopDecreasingVolume ()
- void stopIncreasingVolume ()
- void stopScanningBackward ()
- void stopScanningForward ()

## Protected Members

- void timerEvent ( QTimerEvent * e )
- void closeEvent ( QCloseEvent * ce )
- bool eventFilter ( QObject * o, QEvent * e )
- void setTickerText ( QString file )
- void error ( const QString & error, const QString & errorMsg )
- void setPlaying ( const QString & URL )
- void playFile ( const QString & file, const QString & name )
- void play ()
- void stop ( bool )
- enum ScanDirection { Left, Right }
- void internalScan ( ScanDirection scanDirection )

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class creates all the elements of playing media files and ties them together. It abstracts what GUI elements are used with a few virtual functions: createMediaSelector(), createAudioUI() and createVideoUI(). This should make it possible to make some different frontends with the backend mostly the same abstracted behind an API like this. This API is subject to change.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.